BusinessChecksSent Checks
Void a Check
POST
Void a check. A Transaction dated the void date reverses the check's journal entry, and its check number can be reused on the same bank account.
Scopes: check:update
OAuth2ClientCredentialsBearer check:updateheader
AuthorizationBearer <token>Scope: check:update
check_id*Check IdThe id of the check
Format
chk_stringbusiness_id*Business IdThe id of the business
Format
biz_stringapplication/json- body
voided_at?|The date the check was voided in ISO-8601 format. Defaults to now.
Successful Response
application/json- response
data*curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/checks/chk_WQMDNUHpBThYSNh4AprDBo/void' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj", "payee": "ABC Plumbing", "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo", "amount": 500, "currency": "USD", "check_number": "1042", "issued_at": "2019-08-24T14:15:22Z", "memo": "Invoice 2231", "voided_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "chk_WQMDNUHpBThYSNh4AprDBo", "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ", "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "cleared_at": "2019-08-24T14:15:22Z", "status": "issued" }}